﻿@charset "UTF-8";

.c-form__wrapper--column-zipcode {
  position: relative;
}

.c-searchresult {
  display: none;
  position: absolute;
  z-index: 10;
  top: calc(100% + 1rem);
  left: 0;
  width: min(90dvw, 45rem);
  background-color: #fff;
  text-align: left;
  border: 1px solid var(--color-gray-300);
  border-radius: 0.4rem;
  cursor: default;
}
.c-searchresult__title {
  font-weight: var(--fw-semibold);
  font-size: 1.5rem;
  line-height: 1;
  color: var(--color-text-default);
  background-color: var(--color-secondary);
  /* border-bottom: 1px solid #ccc; */
  padding-block: 1.2rem;
  padding-inline: 2rem;
  position: relative;
}
.c-searchresult__results {
  width: 100%;
  height: fit-content;
  overflow-x: hidden;
  overflow-y: auto;
  max-height: 36rem;
  padding-block: 1.5rem 2.5rem;
  padding-inline: 2rem;
  display: flex;
  flex-direction: column;
  row-gap: 2rem;
}
.c-searchresult__results > li {
  cursor: pointer;
  font-weight: var(--fw-regular);
  font-size: 1.5rem;
  padding: 0 !important;
}
.c-searchresult__results > li:hover{
  text-decoration: underline;
}
.c-searchresult__close {
  display: block;
  width: 1.5rem;
  aspect-ratio: 1;
  position: absolute;
  top: 50%;
  right: 2rem;
  translate: 0 -50%;
}
.c-searchresult__close::before,
.c-searchresult__close::after {
  content: '';
  display: block;
  width: 2rem;
  height: 1px;
  background-color: var(--color-primary);
  position: absolute;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
}
.c-searchresult__close::before {
  rotate: -45deg;
}
.c-searchresult__close::after {
  rotate: 45deg;
}